#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://danielbalsiger.ch/svn/repos/trunk/image-builder              #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

echo "Package once builded with the following instructions"
echo "Adjust instructions to new infrastucture, see skel.sh"
exit 1

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/opkg-svn4561.tar.bz2 &&
cd opkg-svn4561 &&

sed -e 's/-O2/-Os/g' -i configure &&
sed -e 's/index(/strchr(/' -i libopkg/opkg.c &&

PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig" CC="${CC} ${BUILD} -Os" ./configure --host=mips-unknown-linux --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --disable-static --enable-shared --with-pic --disable-largefile --disable-nls --with-curl=${INSTALLDIR} --with-opkglibdir=/lib --disable-gpg &&
make &&

make DESTDIR=${INSTALLDIR} install &&
mv -v ${INSTALLDIR}/lib/libopkg.la ${INSTALLDIR}/usr/lib &&
cp -av ${INSTALLDIR}/lib/pkgconfig ${INSTALLDIR}/usr/lib &&
rm -rf ${INSTALLDIR}/lib/pkgconfig &&

cd ${BUILDDIR} &&
rm -rf opkg-svn4561
